apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ registry_name }}
  namespace: {{ namespace }}
data:
  config.yml: |
    version: 0.1
    auth: {}
    health:
      storagedriver:
        enabled: true
        interval: 10s
        threshold: 3
    http:
      addr: :5000
{% if do_exporters %}
      debug:
        addr: :5001
        prometheus:
          enabled: true
          path: /metrics
{% endif %}
      headers:
        Access-Control-Allow-Credentials: [true]
        Access-Control-Allow-Origin: ['*']
        Access-Control-Allow-Headers: ['Authorization', 'Accept', 'Cache-Control']
        Access-Control-Allow-Methods: ['HEAD', 'GET', 'OPTIONS', 'DELETE']
        Access-Control-Expose-Headers: ['Docker-Content-Digest']
        Access-Control-Max-Age: [1728000]
        X-Content-Type-Options: [nosniff]
{% if registry_do_tls %}
      tls:
        certificate: /certs/tls.crt
        key: /certs/tls.key
{% endif %}
    log:
      fields:
        service: registry
    storage:
      cache:
        blobdescriptor: inmemory
      delete:
        enabled: true
      maintenance:
        uploadpurging:
          enabled: true
          age: 168h
          interval: 24h
          dryrun: false
        readonly:
          enabled: false
{% if do_s3 %}
      redirect:
        disable: true
      s3:
        chunksize: 5242880
        encrypt: false
{% if registry_s3_flavor == 'minio' %}
        region: {{ minio_region_name }}
        regionendpoint: {{ minio_api_address }}
        rootdirectory: /
{% if minio_api_address is match('https://') %}
        secure: true
        skipverify: true
{% else %}
        secure: false
        skipverify: true
{% endif %}
        v4auth: true
{% else %}
{% if registry_s3_region | default(False) %}
        region: {{ registry_s3_region }}
{% endif %}
        regionendpoint: {{ radosgw_api_address }}
        rootdirectory: /
{% if radosgw_api_address is match('https://') %}
        secure: true
        skipverify: true
{% else %}
        secure: false
        skipverify: true
{% endif %}
        v4auth: false
{% endif %}
{% else %}
      filesystem:
        rootdirectory: /var/lib/registry
{% endif %}
